The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Thunderbird: several vulnerabilities

Synthesis of the vulnerability 

Several vulnerabilities of Thunderbird can be used by an attacker to execute code on victim's computer.
Impacted software: Debian, Mandriva Linux, Thunderbird, RHEL, Slackware.
Severity of this computer vulnerability: 4/4.
Number of vulnerabilities in this bulletin: 4.
Creation date: 23/06/2010.
Revision date: 13/09/2010.
Références of this announce: 424558, 484890, 509839, 524921, 526449, 531176, 534666, 534768, 546611, 551233, 551661, 553938, 554255, 555109, 557946, 561031, 561592, BID-41050, BID-41082, BID-41087, BID-41090, BID-41093, BID-41094, BID-41099, CERTA-2002-AVI-268, CERTA-2010-AVI-154, CERTA-2010-AVI-283, CVE-2010-1121, CVE-2010-1196, CVE-2010-1199, CVE-2010-1200, CVE-2010-1201, CVE-2010-1202, CVE-2010-1203, DSA-2064-1, MDVSA-2010:126, MFSA 2010-25, MFSA 2010-26, MFSA 2010-29, MFSA 2010-30, RHSA-2010:0544-01, RHSA-2010:0545-01, SSA:2010-176-04, VIGILANCE-VUL-9724, ZDI-10-113.

Description of the vulnerability 

Several vulnerabilities were announced in Thunderbird.

An attacker can create a malicious document containing DOM (Document Object Model) nodes, in order to corrupt the memory, which leads to code execution when the victim displays it (VIGILANCE-VUL-9555). [severity:4/4; 555109, CERTA-2010-AVI-154, CERTA-2010-AVI-283, CVE-2010-1121, MFSA 2010-25]

An attacker can generate several memory corruptions, in order to execute code. [severity:4/4; 424558, 484890, 509839, 524921, 526449, 531176, 534768, 546611, 551233, 551661, 553938, 557946, 561031, 561592, BID-41090, BID-41093, BID-41094, BID-41099, CVE-2010-1200, CVE-2010-1201, CVE-2010-1202, CVE-2010-1203, MFSA 2010-26]

An attacker can generate a buffer overflow in nsGenericDOMDataNode::SetTextInternal, in order to execute code. [severity:4/4; 534666, BID-41087, CVE-2010-1196, MFSA 2010-29]

An attacker can generate an integer overflow when sorting XSLT nodes, in order to execute code. [severity:4/4; 554255, BID-41082, CVE-2010-1199, MFSA 2010-30, ZDI-10-113]
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability alert impacts software or systems such as Debian, Mandriva Linux, Thunderbird, RHEL, Slackware.

Our Vigil@nce team determined that the severity of this computer weakness alert is critical.

The trust level is of type confirmed by the editor, with an origin of internet client.

This bulletin is about 4 vulnerabilities.

A proof of concept or an attack tool is available, so your teams have to process this alert. An attacker with a specialist ability can exploit this computer vulnerability.

Solutions for this threat 

Thunderbird: version 3.0.5.
Version 3.0.5 is corrected:
  http://www.GetThunderbird.com/

Debian: new xulrunner packages.
New packages are available:
  http://security.debian.org/pool/updates/main/x/xulrunner/xulrunner-*_1.9.0.19-2_*.deb

Mandriva: new mozilla-thunderbird packages.
New packages are available:
  Mandriva Linux 2008.0: mozilla-thunderbird-3.0.5-0.1mdv2008.0
  Mandriva Linux 2009.0: mozilla-thunderbird-3.0.5-0.1mdv2009.0
  Mandriva Linux 2009.1: mozilla-thunderbird-3.0.5-0.1mdv2009.1
  Mandriva Linux 2010.0: mozilla-thunderbird-3.0.5-0.1mdv2010.0

RHEL 4: new thunderbird packages.
New packages are available:
  thunderbird-1.5.0.12-28.el4

RHEL 5: new thunderbird packages.
New packages are available:
  thunderbird-2.0.0.24-6.el5

Slackware: new mozilla-thunderbird packages.
New packages are available:
ftp://ftp.slackware.com/pub/slackware/slackware-13.1/patches/packages/mozilla-thunderbird-3.0.5-i686-1.txz
ftp://ftp.slackware.com/pub/slackware/slackware64-13.1/patches/packages/mozilla-thunderbird-3.0.5-x86_64-1.txz
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer vulnerability note. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.